#pragma once
#include "Graphics/Renderable.h"

#include <vector>

namespace BarinkEngine {

	class Renderer {
	public:
		Renderer();
		~Renderer();

		void Render();

		void Submit(Renderable* model);

	private:
		std::vector<Renderable*> models;

	};
}
